@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;1,300&family=Sriracha&display=swap');


* { 
    font-family: 'poppins',sans-serif;
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
    
}

body { 
    background-color: #121214;
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

#container { 
    background-color: #343439;
    padding: 30px 40px;
    min-width: 470px;
    color: #efefef;
    box-shadow: 10px 10px 10px rgba( 0,0,0,0.375);
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#container h1 { 
    font-size:30px ;
    font-weight: 700;
    margin-bottom: 20px;
}
.input-group { 
    display: flex;
    padding: 20px 0px ;
    gap: 50px;
}
.input-field { 
    display: flex;
    flex-direction: column;
}
.input-field label { 
    font-weight: bold;
    margin-bottom: 5px;
    font-size: 18px;
}
.input-field input { 
    background-color: transparent;
    border: none;
    border-bottom:  2px solid #7336ff;
    padding: 5px;
    font-size: 18px;
    border-radius: 5px;
    color: white;
    font-weight: 580;
}
.input-field input:focus { 
    outline: none;
}
#generate { 
    background-color: #7336ff;
    border: none;
    padding: 12px 20px ;
    border-radius: 4px;
    width: 100%;
    color: white;
    font-weight:bold;
    margin: 20px 0px;
    cursor: pointer;
}
#result { 
    font-size: 50px;
    font-weight: 600;
}